## ide-fixit ide-fixit |

## Functions

IdeFixit * | ide_fixit_new ()
IdeFixit * | ide_fixit_new_from_variant ()
IdeFixit * | ide_fixit_ref ()
void | ide_fixit_unref ()
void | ide_fixit_apply ()
const gchar * | ide_fixit_get_text ()
IdeSourceRange * | ide_fixit_get_range ()
GVariant * | ide_fixit_to_variant ()

## Description

## Functions

### ide_fixit_new ()

    IdeFixit *
    ide_fixit_new (IdeSourceRange *source_range,
                   const gchar *replacement_text);

### ide_fixit_new_from_variant ()

    IdeFixit *
    ide_fixit_new_from_variant (GVariant *variant);

Creates a new IdeFixit from the variant.

If `variant` is `NULL`, `NULL` is returned.

#### Parameters

variant | a GVariant. | [nullable]

#### Returns

an IdeFixit or `NULL`.

[transfer full][nullable]

Since: 3.30

### ide_fixit_ref ()

    IdeFixit *
    ide_fixit_ref (IdeFixit *self);

### ide_fixit_unref ()

    void
    ide_fixit_unref (IdeFixit *self);

### ide_fixit_apply ()

    void
    ide_fixit_apply (IdeFixit *self);

### ide_fixit_get_text ()

    const gchar *
    ide_fixit_get_text (IdeFixit *self);

Gets the text to replace the source range with.

#### Parameters

self | an IdeFixit. |

#### Returns

A string with the replacement text.

### ide_fixit_get_range ()

    IdeSourceRange *
    ide_fixit_get_range (IdeFixit *self);

Gets the range for the replacement text. The range is non inclusive of the end location. [a,b)

#### Parameters

self | an IdeFixit. |

#### Returns

An IdeSourceRange.

[transfer none]

### ide_fixit_to_variant ()

    GVariant *
    ide_fixit_to_variant (const IdeFixit *self);

Creates a GVariant to represent a fixit.

This function will never return a floating variant.

#### Parameters

self | a IdeFixit |

#### Returns

a GVariant.

[transfer full]

## Types and Values